#ifndef __STOPWATCH_H
#define __STOPWATCH_H

#include <ctime> 

class Stopwatch {
protected:
    clock_t startTime;

public:
  /**
   * Constructor.
   */
  Stopwatch() {};

  /**
   * Destructor
   */
  ~Stopwatch() {};

    /**
     * Starts the stopwatch.
     */
    void start();

    /**
     * Stops the stopwatch, returning the time regitered from last start, in seconds.
     * @return Time from last start, in seconds.
     */
    double stop();
};


#endif